Package com.google.android.exoplayer2.audio

## Class AuxEffectInfo

- java.lang.Object
- - com.google.android.exoplayer2.audio.AuxEffectInfo

-     public final class AuxEffectInfo
      extends Object

  Represents auxiliary effect information, which can be used to attach an auxiliary effect to an underlying `AudioTrack`.

  Auxiliary effects can only be applied if the application has the `android.permission.MODIFY_AUDIO_SETTINGS` permission. Apps are responsible for retaining the associated audio effect instance and releasing it when it's no longer needed. See the documentation of `AudioEffect` for more information.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `effectId` | The identifier of the effect, or `NO_AUX_EFFECT_ID` if there is no effect.
    `static int` | `NO_AUX_EFFECT_ID` | Value for `effectId` representing no auxiliary effect.
    `float` | `sendLevel` | The send level for the effect.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuxEffectInfo​(int effectId, float sendLevel)` | Creates an instance with the given effect identifier and send level.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_AUX_EFFECT_ID

          public static final int NO_AUX_EFFECT_ID

      Value for `effectId` representing no auxiliary effect.
      See Also:
        Constant Field Values

    - #### effectId

          public final int effectId

      The identifier of the effect, or `NO_AUX_EFFECT_ID` if there is no effect.
      See Also:
        `AudioTrack.attachAuxEffect(int)`

    - #### sendLevel

          public final float sendLevel

      The send level for the effect.
      See Also:
        `AudioTrack.setAuxEffectSendLevel(float)`

  - ### Constructor Detail

    - #### AuxEffectInfo

          public AuxEffectInfo​(int effectId,
                               float sendLevel)

      Creates an instance with the given effect identifier and send level.
      Parameters:
        `effectId` - The effect identifier. This is the value returned by `AudioEffect.getId()` on the effect, or 0 which represents no effect. This value is passed to `AudioTrack.attachAuxEffect(int)` on the underlying audio track.
        `sendLevel` - The send level for the effect, where 0 represents no effect and a value of 1 is full send. If `effectId` is not 0, this value is passed to `AudioTrack.setAuxEffectSendLevel(float)` on the underlying audio track.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`